For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
      • GETGet info of your imports
      • GETGet info of a given import
  • Main Reference
LogoLogo
Ingest ReferenceImports

Get info of your imports

GET
https://api.invofox.com/v1/ingest/imports
GET
/v1/ingest/imports
1const url = 'https://api.invofox.com/v1/ingest/imports';
2const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "count": 156,
3 "result": [
4 {
5 "id": "66f580d3bee75c4a542daabb",
6 "accountId": "507f1f77bcf86cd799439011",
7 "environmentId": "507f1f77bcf86cd799439012",
8 "channel": "upload",
9 "status": "processed",
10 "createdAt": "2023-10-15T10:30:00.000Z",
11 "documents": 42
12 }
13 ]
14}

Get a list of your latest imports (last 7 days)

Was this page helpful?
Previous

Get info of a given import

Next
Built with

Authentication

x-api-keystring

API key authentication for programmatic access. Used by server-to-server integrations and API clients.

Query parameters

environmentIdstringOptional
Environment ID to filter imports. If not provided, uses the user's default environment.
skipintegerOptional0-10Defaults to 0
Number of imports to skip for pagination
limitintegerOptional1-15Defaults to 5

Maximum number of imports to return (max 100)

Response

List of imports retrieved successfully
countdouble>=0
Total number of imports matching the criteria
resultlist of objects
Array of import summaries for the requested page

Errors

400
Bad Request Error